## org.gjt.sp.util
Interface ProgressObserver

All Known Implementing Classes:
  BufferAutosaveRequest, BufferInsertRequest, BufferIORequest, BufferLoadRequest, BufferSaveRequest, CopyFileWorker, LocalFileSaveTask, MarkersSaveRequest, Task, WorkRequest

    public interface ProgressObserver

Interface used to monitor things that can progress.

Since:
  jEdit 4.3pre3

Method Summary
`void` `setMaximum(long value)` Update the maximum value.
`void` `setStatus(java.lang.String status)` Update the status label.
`void` `setValue(long value)` Update the progress value.

Method Detail

### setValue

    void setValue(long value)

  Update the progress value.

  Parameters:
    `value` - the new value
  Since:
    jEdit 4.3pre3

### setMaximum

    void setMaximum(long value)

  Update the maximum value.

  Parameters:
    `value` - the new maximum value
  Since:
    jEdit 4.3pre3

### setStatus

    void setStatus(java.lang.String status)

  Update the status label.

  Parameters:
    `status` - the new status label
  Since:
    jEdit 4.3pre3